#include <bits/stdc++.h>
using namespace std;

int main(){
	ios::sync_with_stdio(0);
	cin.tie(0);

	string t, s;
	cin >> t;
	cin >> s;	
	int n = s.length();
	int m = t.length();
	int br[n], k[n];
	for(int i = 0;i < n;i++){ br[i] = 0; }
	int j = 0;
	int brojac = 0;
	if(n == 1){
		for(int i = 0;i < m;i++){
			if(t[i] == s[0]){ t[i] = '*'; brojac++; }
		}
	}
	else{
		for(int i = 0;i < m;i++){
			if(j < n && t[i] == s[j]){
				br[j]++;
				if(br[j] == 1){ k[j] = i; }
				j++;
			}
			else if(j > 0 && t[i] == s[j-1]){ br[j-1]++; }
			else if(j == n && t[i] == s[0]){
				int l, inx = 0;
				for(l = 1;l < n;l++){
					if(br[l] < br[inx]){ inx = l; }
				}
				l = k[inx];
				
				brojac += br[inx];
				while(br[inx] > 0){
					t[l] = '*';
					l++; br[inx]--;
				}
				j = 1;

				for(l = 0;l < n;l++){ br[l] = 0; }
				br[0] = 1;
				k[0] = i;
			}

			if(i == m - 1 && j == n){
				int l, inx = 0;
				for(l = 1;l < n;l++){
					if(br[l] < br[inx]){ inx = l; }
				}
				l = k[inx];

				brojac += br[inx];
				while(br[inx] > 0){
					t[l] = '*';
					l++; br[inx]--;
				}
				j = 0;

				for(l = 0;l < n;l++){ br[l] = 0; }
			}
		}	
	}

	cout << brojac << '\n';
	cout << t << '\n';
	return 0;
}